server:
  port: 5000
  servlet:
    encoding:
      charset: UTF-8
      force: true
      enabled: true
  reactive:
    session:
      cookie:
        name: sentinel_dashboard_cookie
spring:
  application:
    name: sentinel-dashboard-pro
#  profiles:
  #    active: dev
  cloud:
    nacos:
      discovery:
        server-addr: 162.14.111.170:8848
        username: nacos
        password: nacos
        namespace: dev
      config:
        server-addr: 162.14.111.170:8848
        namespace: dev
        enabled: true
    sentinel:
      cluster:
        enable: true


logging:
  level:
    org:
      springframework:
        web: info
  file:
    name: ${user.home}/logs/csp/sentinel-dashboard.log
  pattern:
    file: '%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n'

auth:
  username: sentinel
  password: sentinel
  filter:
    exclude-urls: /,/auth/login,/auth/logout,/registry/machine,/version,/actuator/**,/details
    exclude-url-suffixes: htm,html,js,css,map,ico,ttf,woff,png

sentinel:
  dashboard:
    version: 1.0.0